#!/bin/bash

export PREFIX_INIT=/opt/python-init/lib/python/site-packages
export CLUSTER_PATH=/opt/cluster

if [ -x ${CLUSTER_PATH}/sbin/check_local_settings.py ] ; then
    ${CLUSTER_PATH}/sbin/check_local_settings.py
fi

if [ -d ${PREFIX_INIT}/initat/cluster/backbone/migrations ] ; then
    # already installed
    if [ -f /etc/sysconfig/cluster/db_auto_update ] ; then
        echo "running auto-update script ${CLUSTER_PATH}/sbin/setup_cluster.py --migrate"
        ${CLUSTER_PATH}/sbin/setup_cluster.py --migrate
    else
        echo "to update the current database schema via django please use ${CLUSTER_PATH}/sbin/setup_cluster.py --migrate"
    fi
else
    echo "to create a new database use ${CLUSTER_PATH}/sbin/setup_cluster.py"
    # do not show, only for ALN
    # echo "to migrate the database to a django-support format please use %{CLUSTER_PATH}/sbin/migrate_to_django.sh"
    # echo "to migrate the current user structure use %{CLUSTER_PATH}/sbin/create_django_users.py"
fi
